import _default, * as esriLoader from 'esri-loader';

const options = {
  url: '/arcgisApi/4.7/init.js',
};
var mapObject = null;
export function initGraphicLayers(map) {
  mapObject = map;
  esriLoader
    .loadModules(['esri/layers/GraphicsLayer', 'dojo/domReady!'], options)
    .then(([GraphicsLayer]) => {
      var proBoundaryGraphicLayer = new GraphicsLayer({
        id: 'proBoundaryGraphicLayer',
      }); //行政区边界 面

      var trackGraphicLayer = new GraphicsLayer({
        //人员轨迹 线
        id: 'trackGraphicLayer',
        visible: false,
      });
      var daohangGraphicLayer = new GraphicsLayer({
        //导航路线 线
        id: 'daohangGraphicLayer',
        visible: false,
      });
      var daohangGraphicLayer1 = new GraphicsLayer({
        //导航 起点 终点
        id: 'daohangGraphicLayer1',
        visible: false,
      });
      var trackGraphicLayer1 = new GraphicsLayer({
        //人员轨迹 开始 结束 点
        id: 'trackGraphicLayer1',
        visible: false,
      });

      var personGraphicLayer = new GraphicsLayer({
        //人员 点
        id: 'personGraphicLayer',
        visible: true,
      });
      var allSkGraphicLayer = new GraphicsLayer({
        //所有水库 点
        id: 'allSkGraphicLayer',
        visible: false,
      });
      var skGraphicLayer2018 = new GraphicsLayer({
        //2018水库 点
        id: 'skGraphicLayer2018',
        visible: false,
      });
      var skGraphicLayer2019 = new GraphicsLayer({
        //2019水库 点
        id: 'skGraphicLayer2019',
        visible: false,
      });
      var fcskGraphicLayer = new GraphicsLayer({
        //复查水库 点
        id: 'fcskGraphicLayer',
        visible: false,
      });
      var jhwskGraphicLayer = new GraphicsLayer({
        //督查计划外水库 点
        id: 'jhwskGraphicLayer',
        visible: false,
      });
      var shgcGraphicLayer = new GraphicsLayer({
        //水毁工程 点
        id: 'shgcGraphicLayer',
        visible: false,
      });
      var xzcGraphicLayer = new GraphicsLayer({
        //人饮行政村 点
        id: 'xzcGraphicLayer',
        visible: false,
      });
      var country150Layer = new GraphicsLayer({
        //150个县 点
        id: 'country150Layer',
        visible: false,
      });
      var dxsGraphicLayer = new GraphicsLayer({
        //地下水 点
        id: 'dxsGraphicLayer',
        visible: false,
      });
      var sydGraphicLayer = new GraphicsLayer({
        //水源地 点
        id: 'sydGraphicLayer',
        visible: false,
      });
      var ncysgcGraphicLayer = new GraphicsLayer({
        //农村饮水工程 点
        id: 'ncysgcGraphicLayer',
        visible: false,
      });
      var szGraphicLayer = new GraphicsLayer({
        //督查水闸 点
        id: 'szGraphicLayer',
        visible: false,
      });
      var szGraphicLayerAll = new GraphicsLayer({
        //所有水闸 点
        id: 'szGraphicLayerAll',
        visible: false,
      });
      var graphicLayer172 = new GraphicsLayer({
        //172 点
        id: 'graphicLayer172',
        visible: false,
      });
      var graphicLayerQsk = new GraphicsLayer({
        //取水口 点
        id: 'graphicLayerQsk',
        visible: false,
      });
      var graphicLayerDbssyd = new GraphicsLayer({
        //地表水水源地 点
        id: 'graphicLayerDbssyd',
        visible: false,
      });
      var graphicLayerSwz = new GraphicsLayer({
        //水文站 点
        id: 'graphicLayerSwz',
        visible: false,
      });
      var bjGraphicLayer = new GraphicsLayer({
        //标记 点
        id: 'bjGraphicLayer',
        visible: false,
      });

      // var graphicLayerFpx = new GraphicsLayer({//全部扶贫县 点
      //     id:"graphicLayerFpx",
      //     visible:false
      // });
      // var graphicLayerZdx = new GraphicsLayer({//国家扶贫开发工作重点县 点
      //     id:"graphicLayerZdx",
      //     visible:false
      // });
      // var graphicLayerBjx = new GraphicsLayer({//边境县 点
      //     id:"graphicLayerBjx",
      //     visible:false
      // });
      // var graphicLayerTcx = new GraphicsLayer({//天窗县或深度嵌入县 点
      //     id:"graphicLayerTcx",
      //     visible:false
      // });
      // var graphicLayerDdfp = new GraphicsLayer({//定点扶贫县 点
      //     id:"graphicLayerDdfp",
      //     visible:false
      // });

      mapObject.add(proBoundaryGraphicLayer); //行政区边界 面

      mapObject.add(trackGraphicLayer); //人员轨迹 线
      mapObject.add(daohangGraphicLayer); //导航路线 线

      mapObject.add(personGraphicLayer); //人员 点
      mapObject.add(allSkGraphicLayer); //所有水库 点
      mapObject.add(skGraphicLayer2018); //2018水库 点
      mapObject.add(skGraphicLayer2019); //2019水库 点
      mapObject.add(fcskGraphicLayer); //复查水库 点
      mapObject.add(jhwskGraphicLayer); //督查计划外水库 点
      mapObject.add(shgcGraphicLayer); //水毁工程 点
      mapObject.add(xzcGraphicLayer); //人饮行政村 点
      mapObject.add(country150Layer); //150个县
      mapObject.add(dxsGraphicLayer); //地下水 点
      mapObject.add(sydGraphicLayer); //水源地 点
      mapObject.add(ncysgcGraphicLayer); //农村饮水工程 点
      mapObject.add(szGraphicLayer); //督查水闸 点
      mapObject.add(szGraphicLayerAll); //所有 点
      mapObject.add(graphicLayer172); //172 点
      mapObject.add(graphicLayerQsk); //取水口 点
      mapObject.add(graphicLayerDbssyd); //地表水水源地 点
      mapObject.add(graphicLayerSwz); //水文站 点
      // mapObject.add(graphicLayerFpx);//扶贫县全部 点
      // mapObject.add(graphicLayerZdx);//国家扶贫开发工作重点县 点
      // mapObject.add(graphicLayerBjx);//边境县 点
      // mapObject.add(graphicLayerTcx);//天窗县或深度嵌入县 点
      // mapObject.add(graphicLayerDdfp);//定点扶贫县 点

      mapObject.add(daohangGraphicLayer1); //导航 开始 结束点
      mapObject.add(trackGraphicLayer1); //人员轨迹 开始 结束点

      mapObject.add(bjGraphicLayer); //标记 点
    })
    .catch((err) => {
      console.error(err);
    });
}
